{{page-title this.model.icon.name " | " (capitalize (t "translate to" language=this.model.translation.name))}}

<Manage::Container>
  <:content>
    <Manage::Header class="mb-3" @title={{capitalize (t "translate to" language=this.model.translation.name)}}>
      <Breadcrumbs @value={{this.breadcrumbs}} />

      <Manage::Toolbar>
        <Manage::Toolbar::Group>
          <LinkTo @route="manage.icons.edit" @models={{array this.model.iconSet.id this.model.icon.id}} class="btn btn-secondary btn-go-edit me-2">
            <FaIcon @icon="pencil-alt" />
            <span class="capitalize-first-letter">{{t "edit-label"}}</span>
          </LinkTo>
        </Manage::Toolbar::Group>

        {{#if (gt this.model.translations.length 1)}}
          <Manage::Toolbar::Group>
            {{#each this.model.translations as |translation|}}
              {{#if (eq translation.locale this.model.translation.locale)}}
                <button class="btn btn-secondary" type="button" disabled>
                  {{translation.name}}
                </button>
              {{else}}
                <LinkTo @route="manage.icons.translate" @query={{hash translate=translation.locale}} @models={{array this.model.iconSet.id this.model.icon.id}} class="btn btn-secondary">
                  {{translation.name}}
                </LinkTo>
              {{/if}}
            {{/each}}
          </Manage::Toolbar::Group>
        {{/if}}
      </Manage::Toolbar>
    </Manage::Header>

    <Manage::Row @name="article">
      <Manage::Article
          @title={{t "name and description"}}
          @editablePanel={{this.editableField}}
          @value={{@model.icon.contentBlocks}}
          @onSave={{this.saveArticle}}
          @onCancel={{this.cancel}}
          @onEdit={{this.edit}}
          @onPictureUpload={{this.onPictureUpload}}
        />
    </Manage::Row>

    <Manage::Row @name="category">
      <Manage::Text
        @title={{capitalize (t "category")}}
        @isMainValue={{true}}
        @value={{@model.icon.category}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @onSave={{this.saveCategory}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />
    </Manage::Row>

    <Manage::Row @name="subcategory">
      <Manage::Text
        @title={{capitalize (t "subcategory")}}
        @isMainValue={{true}}
        @value={{@model.icon.subcategory}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @onSave={{this.saveSubcategory}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />
    </Manage::Row>

    {{#if (gt this.model.icon.attributes.length 0)}}
      <Manage::Row @name="attributes">
        <Input::ContainerGroup
          @isMainValue={{true}}
          @title={{capitalize (t "attributes")}}
          @onSave={{this.save}}
          @onCancel={{this.cancel}}
          @onEdit={{this.edit}}
          @editablePanel={{this.editableField}}
          @savingPanel={{this.savingField}}
          class="container-group-text"
          as |isEdit|
        >
          {{#if isEdit}}
            {{#each @model.icon.attributes as |attribute|}}
              <div class="mb-3">
                <span class="input-group-text">{{attribute.name}}</span>

                {{! template-lint-disable require-input-label }}
                <Input @value={{attribute.localName}} class="form-control" placeholder={{t "What is the local name?"}} />
              </div>
            {{/each}}
          {{else}}
            {{#each this.model.icon.attributes as |attribute|}}
              <h4>{{attribute.name}}</h4>
              <p>{{attribute.localName}}</p>
            {{/each}}
          {{/if}}
        </Input::ContainerGroup>
      </Manage::Row>
    {{/if}}
  </:content>
</Manage::Container>